Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml.factory.objects
Class ArrayClassFactory

    java.lang.Object
      org.jfree.xml.factory.objects.ArrayClassFactory

All Implemented Interfaces:
  java.io.Serializable, ClassFactory

    public class ArrayClassFactory

extends java.lang.Object
implements ClassFactory

An class that implements the `ClassFactory` interface to create Arrays of objects. The object descriptions are created on demand.

Author:
  Thomas Morgner.
See Also:
  Serialized Form

Constructor Summary
`ArrayClassFactory()` Default constructor.

Method Summary
`void` | `configure(Configuration config)` Configures this factory.
`boolean` | `equals(java.lang.Object o)` ArrayClassFactories are always equal, there is nothing that could not be equal :)
`ObjectDescription` | `getDescriptionForClass(java.lang.Class c)` Returns an object description for a class.
`java.util.Iterator` | `getRegisteredClasses()` Returns an iterator for the registered classes.
`ObjectDescription` | `getSuperClassObjectDescription(java.lang.Class d, ObjectDescription knownSuperClass)` Returns an object description for the super class of a class.
`int` | `hashCode()` Returns a hash code value for the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayClassFactory

    public ArrayClassFactory()

  Default constructor.

Method Detail

### getDescriptionForClass

    public ObjectDescription getDescriptionForClass(java.lang.Class c)

  Returns an object description for a class.

  Specified by:
    `getDescriptionForClass` in interface `ClassFactory`
  Parameters:
    `c` - the class.
  Returns:
    The object description.

### getSuperClassObjectDescription

    public ObjectDescription getSuperClassObjectDescription(java.lang.Class d,
                                                            ObjectDescription knownSuperClass)

  Returns an object description for the super class of a class. This method always returns null.

  Specified by:
    `getSuperClassObjectDescription` in interface `ClassFactory`
  Parameters:
    `d` - the class.
    `knownSuperClass` - the last known super class or null.
  Returns:
    The object description.

### getRegisteredClasses

    public java.util.Iterator getRegisteredClasses()

  Returns an iterator for the registered classes. This returns a list of pre-registered classes known to this ClassFactory. A class may be able to handle more than the registered classes.

  This method exists to support query tools for UI design, do not rely on it for day to day work.

  Specified by:
    `getRegisteredClasses` in interface `ClassFactory`
  Returns:
    The iterator.

### configure

    public void configure(Configuration config)

  Configures this factory. The configuration contains several keys and their defined values. The given reference to the configuration object will remain valid until the report parsing or writing ends.

  The configuration contents may change during the reporting.

  Specified by:
    `configure` in interface `ClassFactory`
  Parameters:
    `config` - the configuration, never null

### equals

    public boolean equals(java.lang.Object o)

  ArrayClassFactories are always equal, there is nothing that could not be equal :)

  Specified by:
    `equals` in interface `ClassFactory`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the other object.
  Returns:
    true, if both object factories describe the same objects, false otherwise.

### hashCode

    public int hashCode()

  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  Specified by:
    `hashCode` in interface `ClassFactory`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the computed hashcode.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD